Name:           ukui-power-manager
Version:        4.0.0.0
Release:        1
Summary:        power management tool for the UKUI desktop
License:        GPL-3+
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz


Patch01:	0001-fix-translate_generation.sh.patch

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qttools-devel
BuildRequires: ukui-interface
BuildRequires: glib2-devel
BuildRequires: upower-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: perl-XML-Parser
BuildRequires: libXrandr-devel
BuildRequires: pkg-config
BuildRequires: gsettings-qt-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libkysdk-qtwidgets-devel
BuildRequires: libkysdk-sysinfo-devel
BuildRequires: libkysdk-diagnostics-devel
BuildRequires: libukcc-devel
BuildRequires: libkysdk-waylandhelper-devel
BuildRequires: pciutils-devel
BuildRequires: chrpath

Requires: dbus-x11,systemd,upower

%description
UKUI Power Manager is a session daemon for the UKUI desktop
that takes care of system or desktop events related to power, and
triggers actions accordingly. Its philosophy is to completely hide
these complex tasks and only show some settings important to the user.
The UKUI power manager displays and manages battery status, power plug
events, display brightness, CPU, graphics card and hard disk drive
power saving, and can trigger suspend-to-RAM, hibernate or shutdown
events, all integrated to other components of the UKUI desktop.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%{qmake_qt5}
%{make_build}

%install
%{make_install}  INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/usr/lib/udev/rules.d
cp -r %{_builddir}/%{name}-%{version}/data/99-upower-wake-up-usb-device.rules %{buildroot}/usr/lib/udev/rules.d/

mkdir -p %{buildroot}/usr/share/man/man1
mkdir -p %{buildroot}/usr/share/man/man2

gzip -c %{_builddir}/%{name}-%{version}/man/ukui-powermanagement.1	 > %{buildroot}/usr/share/man/man1/ukui-powermanagement.1.gz
gzip -c %{_builddir}/%{name}-%{version}/man/ukui-powermanagement-service.1	 > %{buildroot}/usr/share/man/man1/ukui-powermanagement-service.1.gz
gzip -c %{_builddir}/%{name}-%{version}/man/ukui-power-manager.1	 > %{buildroot}/usr/share/man/man1/ukui-power-manager.1.gz
gzip -c %{_builddir}/%{name}-%{version}/man/ukui-power-manager.2	 > %{buildroot}/usr/share/man/man2/ukui-power-manager.2.gz
gzip -c %{_builddir}/%{name}-%{version}/man/ukui-power-manager-tray.1	 > %{buildroot}/usr/share/man/man1/ukui-power-manager-tray.1.gz
gzip -c %{_builddir}/%{name}-%{version}/man/ukui-upower.1	 > %{buildroot}/usr/share/man/man1/ukui-upower.1.gz

chrpath -d %{buildroot}/usr/bin/ukui-power-manager-tray

%clean
rm -rf $RPM_BUILD_ROOT

%post
set -e
glib-compile-schemas /usr/share/glib-2.0/schemas/ &> /dev/null ||:

%files
%{_sysconfdir}/dbus-1/system.d/org.ukui.powermanagement.conf
%{_sysconfdir}/xdg/autostart/ukui-power-manager-tray.desktop
%{_sysconfdir}/xdg/autostart/ukui-powermanagement-daemon.desktop
%{_bindir}/ukui-power-manager-tray
%{_bindir}/ukui-powermanagement
%{_bindir}/ukui-powermanagement-service
%{_prefix}/lib/udev/rules.d/99-upower-wake-up-usb-device.rules
%{_datadir}/X11/xorg.conf.d/10-monitor.conf
%{_datadir}/dbus-1/system-services/org.ukui.powermanagement.service
%{_datadir}/glib-2.0/schemas/org.ukui.power-manager.gschema.xml
%{_datadir}/ukui-power-manager/tray/translations/*.qm
%{_datadir}/ukui-power-manager/daemon/translations/*.qm
%{_datadir}/man/*
%{_sysconfdir}/ukui/ukui-power-manager/upm-global.conf
%{_libdir}/ukui-control-center/libpower.so
%{_datadir}/ukui-power-manager/power-plugin/translations/*


%changelog
* Mon Apr 08 2024 huayadong <huayadong@kylinos.cn> - 4.0.0.0-1
- update version to 4.0.0.0

* Sat Jun 17 2023 douyan<douyan@kylinos.cn> - 3.1.2-6
- Type: bugfix
- ID  : NA
- SUG : NA
- DESC: add patch03: ukui-power-manager-3.1.2-disable-computer-sleep.patch

* Sun Jun 11 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-5
- fix coredump of ukui-power-manager

* Wed Mar 01 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-4
- remove rpath of ukui-power-manager-tray

* Tue Feb 28 2023 douyan <douyan@kylinos.cn> - 3.1.2-3
- add ukui-power-manager-3.1.2-fix-default-power-setting.patch

* Thu Feb 09 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.2-2
- add build debuginfo and debugsource

* Tue Dec 6 2022 peijiankang <peijiankang@kylinos.cn> - 3.1.2-1
- update version to 3.1.2

* Tue Aug 02 2022 tanyulong<tanyulong@kylinos.cn> - 2.0.3-13
- static applet uses UseHighDpiPixmaps

* Mon Aug 01 2022 tanyulong<tanyulong@kylinos.cn> - 2.0.3-12
- use attribute of UseHighDpiPixmaps

* Mon Aug 01 2022 tanyulong<tanyulong@kylinos.cn> - 2.0.3-11
- delete power statistics directory

* Fri Jul 29 2022 tanyulong<tanyulong@kylinos.cn> - 2.0.3-10
- log printing error correction

* Wed Jun 29 2022 huayadong <huayadong@kylinos.cn> - 2.0.3-9
- Update change control copyright and fix the spelling

* Fri May 20 2022 tanyulong<tanyulong@kylinos.cn> - 2.0.3-8
- Improve the project according to the requirements of compliance improvement

* Wed Apr 06 2022 huayadong <huayadong@kylinos.cn> - 2.0.3-7
- some project changes

* Tue Nov 09 2021 tanyulong <tanyulong@kylinos.cn> - 2.0.3-6
- add man files

* Mon Nov 08 2021 tanyulong <tanyulong@kylinos.cn> - 2.0.3-5
- update copyright

* Mon Nov 1  2021 tanyulong <tanyulong@kylinos.cn> - 2.0.3-4
- Add Tibetan translation

* Mon Nov 1  2021 tanyulong <tanyulong@kylinos.cn> - 2.0.3-3
- Add .gitattributes file

* Thu Oct 28 2021 tanyulong <tanyulong@kylinos.cn> -2.0.3-2
- fix Log print error correction

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 2.0.3-1
- update to upstream version 2.0.2-1+1028

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 2.0.2-1
- Init package for openEuler
